function loadSpeedCameras ()
	local spcams = getElementsByType ( "speedcam" )
	for i,spcamNum in ipairs(spcams) do
		local spcam = createMarker ( tonumber(getElementData ( spcamNum, "posX" )), tonumber(getElementData ( spcamNum, "posY" )), tonumber(getElementData ( spcamNum, "posZ" )), "cylinder", tonumber(getElementData ( spcamNum, "size" )), 0, 0, 0, 0 )
		setElementData ( spcam, "speedcam", true )
		setElementData ( spcam, "speedcamSP", tonumber(getElementData ( spcamNum, "speed" )) )
		setElementData ( spcam, "speedcamPR", tonumber(getElementData ( spcamNum, "price" )) )
	end	
	outputDebugString ( "Speed check cameras resource special for SAMP-RUS.com", 3 )
end

addEventHandler ( "onResourceStart", getResourceRootElement(getThisResource()), loadSpeedCameras )

function checkSpeedCam( leaveElement, matchingDimension )
    if getElementType( leaveElement ) == "player" then
		if getElementData ( source, "speedcam" ) then
			if getPedOccupiedVehicle ( leaveElement ) then
				if getPedOccupiedVehicleSeat ( leaveElement ) == 0 then
					local vehicle = getPedOccupiedVehicle ( leaveElement )
					local sx, sy, sz = getElementVelocity (vehicle)
					local speed = math.floor(((sx^2 + sy^2 + sz^2)^(0.5))*180)
					local vehspeed = speed - getElementData ( source, "speedcamSP" )
					if vehspeed > 0 then
						outputChatBox ("ВНИМАНИЕ! Вы превысили максимально допустимую скорость на "..tostring(vehspeed).." км/ч", leaveElement, 255,255,127 )
						outputChatBox ("Штраф "..tostring(getElementData ( source, "speedcamPR" )).."$", leaveElement, 0,153,51 )
						takePlayerMoney ( leaveElement, getElementData ( source, "speedcamPR" ) )
					end
				end
			end
		end
    end
end
 
addEventHandler( "onMarkerLeave", getRootElement(), checkSpeedCam )

addEventHandler("onPlayerLogin", root,
	function()
		local accName = getAccountName ( getPlayerAccount ( source ) )
		if isObjectInACLGroup ("user."..accName, aclGetGroup ( "Admin" ) ) or isObjectInACLGroup ("user."..accName, aclGetGroup ( "Moderator" ) ) then
			local spcams = getElementsByType ( "speedcam" )
			for i,spcamNum in ipairs(spcams) do
				createBlip ( tonumber(getElementData ( spcamNum, "posX" )), tonumber(getElementData ( spcamNum, "posY" )), tonumber(getElementData ( spcamNum, "posZ" )), 56, 2, 255, 0, 0, 255, 0, 99999.0, source )
			end		
		end
	end
)